org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.util

## Class Bindings

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.util.Bindings

    public class Bindings
    extends Object

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`Bindings()`

### Method Summary

All Methods Static Methods Concrete Methods
`static BindingRegistry` `newBindingRegistry(Reporter reporter, ResourceStore store, ModuleProvider provider)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bindings

    public Bindings()

### Method Detail

#### newBindingRegistry

    public static BindingRegistry newBindingRegistry(Reporter reporter,
                                                     ResourceStore store,
                                                     ModuleProvider provider)